Bug 62802

Summary: JreMemoryLeakPreventionListener should still perform appContextProtection on JRE 8
Product: Tomcat 8 Reporter: Jonathan Horowitz <jhorowitz>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P2    
Version: 8.5.23   
Target Milestone: ----   
Hardware: PC   
OS: All   

Description Jonathan Horowitz 2018-10-05 00:56:19 UTC
Using JDK 8u181 on Windows, a webapp utilizing the Batik library may eventually call com.sun.awt.AppContext.getAppContext(), which pins the ParallelWebappClassLoader in memory.
Comment 1 Mark Thomas 2018-10-12 18:37:05 UTC
Ah. Good point. I'll put that code back in. It will be disabled by default (as it was before it was removed).
Comment 2 Mark Thomas 2018-10-13 18:02:06 UTC
Thanks for the report. This has been fixed in 9.0.x for 9.0.13 onwards.